summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2018-12-20 18:53:57 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2018-12-20 18:55:06 (EST)
commite6a5f461fdcd5104e9ee5cc84244bef49cc91bee (patch)
tree06e5156924b0a24d4b7f8591c91e6cf783e2a050 /autogen.sh
parent1b002330a29ca479599f680af51116bfd013c3ae (diff)
Switch to using GNU Autoconf
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..2051523
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# Script to generate the build system.
+#
+# Copyright (C) 2013 Patrick "P. J." McDermott
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+set -e
+
+srcdir="${0%/*}"
+
+{(
+ cd "${srcdir}"
+ [ -d build-aux ] || mkdir build-aux
+ cat >ChangeLog <<-EOF
+This file is generated upon release. Run \`git log\` for a list of changes.
+EOF
+ aclocal
+ autoconf
+)}
+
+"${srcdir}/configure" "${@}"